Package org.jfree.report.data

## Class MasterDataRowChangeEvent

- java.lang.Object
- - org.jfree.report.data.MasterDataRowChangeEvent

-     public class MasterDataRowChangeEvent
      extends java.lang.Object

  Creation-Date: 03.03.2006, 15:34:53
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `COLUMN_ADDED` |
    `static int` | `COLUMN_REMOVED` |
    `static int` | `COLUMN_UPDATED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MasterDataRowChangeEvent​(int type, java.lang.String columnName, java.lang.Object columnValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getColumnName()` |
    `java.lang.Object` | `getColumnValue()` |
    `int` | `getType()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLUMN_ADDED

          public static final int COLUMN_ADDED

      See Also:
        Constant Field Values

    - #### COLUMN_REMOVED

          public static final int COLUMN_REMOVED

      See Also:
        Constant Field Values

    - #### COLUMN_UPDATED

          public static final int COLUMN_UPDATED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MasterDataRowChangeEvent

          public MasterDataRowChangeEvent​(int type,
                                          java.lang.String columnName,
                                          java.lang.Object columnValue)

  - ### Method Detail

    - #### getColumnName

          public java.lang.String getColumnName()

    - #### getColumnValue

          public java.lang.Object getColumnValue()

    - #### getType

          public int getType()